<h1 mat-dialog-title>Registrieren</h1>
<mat-form-field fxLayout="row">
  <mat-label>Username</mat-label>
  <input matInput [(ngModel)]='data.name' required >
  <mat-hint>Bitte <strong>keine</strong> Klarnamen verwenden</mat-hint>
</mat-form-field>
<mat-form-field fxLayout="row">
  <mat-label>Email-Adresse</mat-label>
  <input matInput [(ngModel)]='data.email' required >
  
</mat-form-field>
<mat-form-field fxLayout="row">
  <mat-label>Passwort</mat-label>
<!--<div *ngIf="regForm.password.hasError('required'); else pwelse">
    <mat-icon matPrefix style="color:red">sentiment_very_dissatisfied</mat-icon>
  </div>
  <ng-template #pwelse>
    <mat-icon matPrefix style="color:green">sentiment_very_satisfied</mat-icon>
  </ng-template>-->  
  <input matInput [type]="hide ? 'password' : 'text'" [(ngModel)]='data.password' required>

  <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>  
  </button>
  </mat-form-field>
  <button mat-button [mat-dialog-close]="data">erstellen</button>